
Foreman - Bug #11610

db migration extremly slow

08/28/2015 04:04 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee:    

Category: DB migrations   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2654

  

Description

When having a lot of hosts, since introducing db/migrate/20150819105725_add_lookup_value_match_to_host_and_hostgroup.rb is

extremely slow.

in my test db i have about 40k hosts, and the migration time is a few hours (did not finish yet).

Related issues:

Related to Foreman - Bug #11425: add a real primary key to host and hostgroup... Closed 08/19/2015

Associated revisions

Revision 20cc5f65 - 09/10/2015 02:24 PM - Tom Caspy

fixes #11610 - removing a bunch of N+1 queries from the migration

History

#1 - 08/28/2015 04:04 PM - Ohad Levy

- Related to Bug #11425: add a real primary key to host and hostgroup for lookup_values has_many added

#2 - 08/31/2015 07:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2654 added

- Pull request deleted ()

#3 - 09/01/2015 04:37 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#4 - 09/10/2015 03:02 PM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 20cc5f65dfdf38a21e896e59d95e1b2ef84f0931.
